| OpendTect 8.0

Loading...
Searching...
No Matches
Classes | Public Types | Public Member Functions | Protected Member Functions | Protected Attributes | List of all members
TableModel Class Referenceabstract
General

`#include <tablemodel.h>`

Inheritance diagram for TableModel:
[legend]

## Classes
class | CellData

## Public Types
enum | CellType { Bool , Text , NumI , NumF , NumD , Color , Date , DateTime , Enum , Other }
enum | ItemFlag { NoFlags =0 , ItemSelectable =1 , ItemEditable =2 , ItemDragEnabled =4 , ItemDropEnabled =8 , ItemIsUserCheckable =16 , ItemEnabled =32 }

## Public Member Functions
virtual | ~TableModel ()
void | beginReset ()
virtual OD::Color | cellColor (int row, int col) const =0
void | endReset ()
virtual int | flags (int row, int col) const =0
QAbstractTableModel * | getAbstractModel ()
virtual CellData | getCellData (int row, int col) const =0
virtual CellType | getColumnCellType (int col) const
virtual char | getColumnFormatSpecifier (int col) const
virtual int | getColumnPrecision (int col) const
virtual const EnumDef * | getEnumDef (int col) const
virtual uiString | headerText (int rowcol, OD::Orientation) const =0
virtual int | isChecked (int row, int col) const
| mOD_DisableCopy (TableModel) virtual int nrRows() const =0
virtual int | nrCols () const =0
virtual PixmapDesc | pixmap (int row, int col) const =0
virtual void | setCellData (int row, int col, const CellData &)=0
virtual void | setChecked (int row, int col, int val)
virtual OD::Color | textColor (int row, int col) const =0
virtual uiString | tooltip (int row, int col) const =0

## Protected Member Functions
| TableModel ()

## Protected Attributes
ODAbstractTableModel * | odtablemodel_

## Detailed Description

<>

## Member Enumeration Documentation

## ◆ CellType

enum TableModel::CellType

Enumerator
Bool |
Text |
NumI |
NumF |
NumD |
Color |
Date |
DateTime |
Enum |
Other |

## ◆ ItemFlag

enum TableModel::ItemFlag

Enumerator
NoFlags |
ItemSelectable |
ItemEditable |
ItemDragEnabled |
ItemDropEnabled |
ItemIsUserCheckable |
ItemEnabled |

## Constructor & Destructor Documentation

## ◆ ~TableModel()

virtual TableModel::~TableModel | ( |  | ) |
| virtual

## ◆ TableModel()

TableModel::TableModel | ( |  | ) |
| protected

## Member Function Documentation

## ◆ beginReset()

void TableModel::beginReset | ( |  | ) |

## ◆ cellColor()

virtual OD::Color TableModel::cellColor | ( | int | row,
|  | int | col ) const
| pure virtual

Implemented in IODirTableModel.

## ◆ endReset()

void TableModel::endReset | ( |  | ) |

## ◆ flags()

virtual int TableModel::flags | ( | int | row,
|  | int | col ) const
| pure virtual

Implemented in IODirTableModel.

## ◆ getAbstractModel()

QAbstractTableModel * TableModel::getAbstractModel | ( |  | ) |

## ◆ getCellData()

virtual CellData TableModel::getCellData | ( | int | row,
|  | int | col ) const
| pure virtual

Implemented in IODirTableModel.

## ◆ getColumnCellType()

virtual CellType TableModel::getColumnCellType | ( | int | col | ) | const
| virtual

Reimplemented in IODirTableModel.

## ◆ getColumnFormatSpecifier()

virtual char TableModel::getColumnFormatSpecifier | ( | int | col | ) | const
| virtual

## ◆ getColumnPrecision()

virtual int TableModel::getColumnPrecision | ( | int | col | ) | const
| virtual

## ◆ getEnumDef()

virtual const EnumDef * TableModel::getEnumDef | ( | int | col | ) | const
| inline virtual

Reimplemented in IODirTableModel.

## ◆ headerText()

virtual uiString TableModel::headerText | ( | int | rowcol,
|  | OD::Orientation | ) const
| pure virtual

Implemented in IODirTableModel.

## ◆ isChecked()

virtual int TableModel::isChecked | ( | int | row,
|  | int | col ) const
| inline virtual

Reimplemented in IODirTableModel.

## ◆ mOD_DisableCopy()

TableModel::mOD_DisableCopy | ( | TableModel |  | ) | const
| pure virtual

## ◆ nrCols()

virtual int TableModel::nrCols | ( |  | ) | const
| pure virtual

Implemented in IODirTableModel.

## ◆ pixmap()

virtual PixmapDesc TableModel::pixmap | ( | int | row,
|  | int | col ) const
| pure virtual

Implemented in IODirTableModel.

## ◆ setCellData()

virtual void TableModel::setCellData | ( | int | row,
|  | int | col,
|  | const CellData & | )
| pure virtual

Implemented in IODirTableModel.

## ◆ setChecked()

virtual void TableModel::setChecked | ( | int | row,
|  | int | col,
|  | int | val )
| inline virtual

Reimplemented in IODirTableModel.

## ◆ textColor()

virtual OD::Color TableModel::textColor | ( | int | row,
|  | int | col ) const
| pure virtual

Implemented in IODirTableModel.

## ◆ tooltip()

virtual uiString TableModel::tooltip | ( | int | row,
|  | int | col ) const
| pure virtual

Implemented in IODirTableModel.

## Member Data Documentation

## ◆ odtablemodel_

ODAbstractTableModel* TableModel::odtablemodel_
| protected

Generated at
for the OpendTect seismic interpretation project. Copyright (C): dGB Beheer B.V. 1995-2025